<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.WellCoordinateFormatter"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="m" uri="/WEB-INF/menu.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%@ taglib prefix="tbl" uri="/WEB-INF/table.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default">
<base:head 
	scripts="~../reggie-2.js,~design_mipsplate.js,~plate.js,js-draw.js" 
	styles="path.css,toolbar.css,~../css/reggie-2.css,~../css/plate.css"
	>
<style>

/* Empty wells should have greyed, italic text */
.well.empty
{
	text-align: center;
	vertical-align: middle;
	font-style: italic;
	color: #999999;
}

.well .missing
{
	font-style: italic;
}

.comment
{
	font-style: italic;
}
.mips-panel
{
	color: #0000C8;
}
.volume
{
	color: #C80000;
	float: right;
}
.mips-form
{}

.mips-form span + span:before
{
	content: '−';
	padding: 0 0.25em;
}

#unplaced-aliquots
{
	writing-mode: sideways-lr;
	background-color: transparent;
	padding: 2em 1em;
	text-align: left;
	vertical-align: bottom;
	border-left-width: 1px;
	border-bottom-width: 0;
	background-image: url('../images/info.png');
	background-repeat: no-repeat;
	background-position: 50% calc(100% - 2px);
}
</style>
</base:head>
<base:body>
	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Create new MIPs plate" 
		/></p:path>
	
	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">MIPs plate</div>
		<div class="step-content">

			<table class="step-form bottomborder">
			<tr>
				<td class="prompt">Name</td>
				<td class="input" id="plateName"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Aliquot plates
					<base:buttongroup vertical="true" style="float: right;">
						<base:button
							id="moveUp"
							image="move_up.png" 
							tooltip="Move up" 
							subclass="square"
							data-down="0"
						/>
						<base:button 
							id="moveDown"
							image="move_down.png" 
							tooltip="Move down" 
							subclass="square"
							data-down="1"
						/>
					</base:buttongroup>
				
				</td>
				<td class="input">
					<table style="width: 100%;">
					<tr>
						<td>
							<select name="plates" id="plates" size="4" style="width: 24em;" class="required" multiple></select>
						</td>
						<td>
							<base:buttongroup vertical="true">
								<base:button title="Add plates&hellip;" id="btnAddAliquotPlates" style="width: 9em;"/>
								<base:button title="Remove" id="btnRemoveAliquotPlates" style="width: 9em;"/>
							</base:buttongroup>
						</td>
					</tr>
					</table>
				</td>
				<td class="status" id="plates.status"></td>
				<td class="help">
					<span id="plates.message" class="message"></span>
					Select aliquot plates that should be used for the MIPs plate.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="input">
					<textarea rows="2" name="comments" id="comments"></textarea>
				</td>
				<td class="status"></td>
				<td class="help">Comments about the new plate.</td>
			</tr>
			</table>

			<table id="plate" class="plate" 
					style="margin: 1em auto 0 auto;">
				<%
				int columns = 12;
				int rows = 8;
				WellCoordinateFormatter rowF = new WellCoordinateFormatter(true);
				WellCoordinateFormatter colF = new WellCoordinateFormatter(false);
				%>
				<tr class="header">
					<th></th>
					<%
					for (int c = 0; c < columns; ++c)
					{
						%>
						<th class="link auto-init" id="col.<%=c%>"
							data-auto-init="plate-col" data-col="<%=c%>"
							title="Select/deselect all wells in this column"><%=colF.format(c)%></th>
						<%
					}
					%>
					<th style="padding: 0;"></th>
				</tr>
				<tbody>
				<%
				for (int r = 0; r < rows; ++r)
				{
					String row = rowF.format(r);
					%>
					<tr class="row-<%=r%>">
						<th class="link auto-init" id="row.<%=r%>"
							data-auto-init="plate-row" data-row="<%=r%>"
							title="Select/deselect all wells in this row"><%=row%></th>
						<%
						for (int c = 0; c < columns; ++c)
						{
							%>
							<td id="well.<%=r%>.<%=c%>" class="well empty auto-init"
								data-auto-init="plate-well" data-col="<%=c%>" data-row="<%=r%>"
								title="Select/deselect this well">empty</td>
							<%
						}
						if (r == 0)
						{
							%>
							<th id="unplaced-aliquots" rowspan="<%=rows%>" style="display: none;"></th>
							<%
						}
						%>
					</tr>
					<%
				}
				%>
				</tbody>
				
				<tr id="pool-row" style="display: none;">
					<th colspan="<%=columns+1%>">&nbsp;</th>
				</tr>
				<tr id="plate-row" style="display: none;">
					<th colspan="<%=columns+1%>">&nbsp;</th>
				</tr>
				</table>
				<div style="margin: 0.5em; text-align: center;">
					<base:icon image="<%=home+"/images/error.png"%>" style="padding-left: 1em;" />=Error that prevent plate creation
					<base:icon image="<%=home+"/images/warning.png"%>" style="padding-left: 1em;" />=Warning but plate can be created
				</div>
		</div>
	</div>


	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>

	</form>
	</div>
	</div>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>