<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.formatter.DateFormatter"
	import="net.sf.basedb.util.formatter.Formatter"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final Formatter dateFormat = new DateFormatter("yyyyMMdd");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~delivery_export.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Export delivery data file" 
		/></p:path>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
	<input type="hidden" name="ID" value="<%=ID%>">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select an outtake work list</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Outtake work list</td>
				<td class="input">
					<select name="workList" id="workList" class="required"></select>
				</td>
				<td class="status" id="workList.status"></td>
				<td class="help">
					<span id="workList.message" class="message"></span>
					Select an outtake work list that is ready for delivery.
				</td>
			</tr>
			<tr>
				<td class="prompt">Use External ID</td>
				<td class="input">
					<label><input type="checkbox" checked name="useExternalId" id="useExternalId" value="1">
					Yes</label>
				</td>
				<td class="status" id="useExternalId.status"></td>
				<td class="help">
					<span id="useExternalId.message" class="message"></span>
					If checked, the file will use the External ID instead of the SCAN-B ID.
				</td>
			</tr>
			<tr>
				<td class="prompt">Delivered date</td>
				<td class="input">
					<input type="text" name="deliveredDate" id="deliveredDate"
						value="<%=dateFormat.format(new Date()) %>" 
						class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="bloody.0"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="deliveredDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="deliveredDate"
							data-date-format="yyyyMMdd"
							data-title="Delivered date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="deliveredDate.status"></td>
				<td class="help">
					<span id="deliveredDate.message" class="message"></span>
					(YYYYMMDD or MMDD) The date when the outtake was delivered.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="input"><textarea name="comments" id="comments" rows="6"></textarea></td>
				<td class="status" id="comments.status"></td>
				<td class="help">
					<span id="comments.message" class="message"></span>
					Comments about the outtake.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="godownload" title="Download" image="<%=home+"/images/file.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>