<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final String pipeline = request.getParameter("pipeline");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~sequencing_ended.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Register sequencing ended" 
		/></p:path>
		
	<div id="page-data" class="datacontainer"
		data-pipeline="<%=HTML.encodeTags(pipeline)%>"
	></div>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">

	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select sequencing run</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr>
				<td class="prompt">Sequencing run</td>
				<td class="input">
					<select name="seqRuns" id="seqRuns" class="required"></select>
				</td>
				<td class="status" id="seqRuns.status"></td>
				<td class="help">
					<span id="seqRuns.message" class="message"></span>
					Select the sequencing run that has ended.
				</td>
			</tr>
			<tbody class="info-section" id="autoAnalyzeSection" style="display: none;">
			<tr>
				<td class="prompt">Job status</td>
				<td class="info" id="autoAnalyze">
				</td>
				<td class="status" id="autoAnalyze.status"></td>
				<td class="help">
					<span id="autoAnalyze.message" class="message"></span>
				</td>
			</tr>
			</tbody>
			<tr class="align-top">
				<td class="prompt">RunParameters.xml</td>
				<td class="input">
					<table style="width: 100%;">
					<tr>
						<td style="width: 90%;">
							<select name="clusters" id="clusters"></select>
						</td>
						<td>
							<base:button id="searchRunArchive" title="Search..." 
								image="search.png" />
						</td>
					</tr>
					</table>
					- or -
					<input type="file" name="runParametersXml" id="runParametersXml" style="width: 95%;">
				</td>
				<td class="status" id="runParametersXml.status"></td>
				<td class="help">
					<span id="runParametersXml.message" class="message"></span>
					Search the run-archive for the <b>RunParameters.xml</b> 
					created for the selected sequencing run or browse for
					the file on the local file system.
				</td>
			</tr>
			
			<tbody class="info-section">
			<tr class="section-header">
				<td id="flowCellName" colspan="3">Flow cell information</td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Flow cell type</td>
				<td class="info" id="flowCellType"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Barcode</td>
				<td class="info" id="externalId"></td>
				<td class="status" id="externalId.status"></td>
				<td class="help">
					<span id="externalId.message" class="message"></span>
				</td>
			</tr>
			<tr>
				<td class="prompt">Pools</td>
				<td class="info" id="pools"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">LibPlates</td>
				<td class="info" id="libPlates"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr class="section-header">
				<td colspan="3">Sequencing information</td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Start date</td>
				<td class="info" id="startDate"></td>
				<td class="status" id="startDate.status"></td>
				<td class="help">
					<span id="startDate.message" class="message"></span>
				</td>
			</tr>
			<tr>
				<td class="prompt">Sequencing cycles</td>
				<td class="info" id="sequencingCycles"></td>
				<td class="status" id="sequencingCycles.status"></td>
				<td class="help">
					<span id="sequencingCycles.message" class="message"></span>
				</td>
			</tr>
			<tr>
				<td class="prompt">Sequencer</td>
				<td class="info" id="sequencer"></td>
				<td class="status" id="sequencer.status"></td>
				<td class="help">
					<span id="sequencer.message" class="message"></span>
				</td>
			</tr>
			<tr>
				<td class="prompt">Position</td>
				<td class="info" id="position"></td>
				<td class="status" id="position.status"></td>
				<td class="help">
					<span id="position.message" class="message"></span>
				</td>
			</tr>
			<tr>
				<td class="prompt">Data folder</td>
				<td class="info" id="dataFolder"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Experiment</td>
				<td class="info" id="experimentName"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">RunID</td>
				<td class="info" id="runId"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Run number</td>
				<td class="info" id="runNumber"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			</tbody>

			<tr>
				<td class="prompt">End date</td>
				<td class="input">
					<input type="text" name="endDate" id="endDate"
						class="auto-init required" data-auto-init="focus-on-enter" data-next-focus="endTime"
						style="width: 12em;" maxlength="10">
					Time <input type="text" class="required" name="endTime" id="endTime"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="sequencingComments"
						style="width: 6em;" maxlength="5">
				</td>
				<td class="status" id="endDate.status"></td>
				<td class="help">
					<span id="endDate.message" class="message"></span>
					Date+time sequencing ended (YYYYMMDD, HHMM)
				</td>
			</tr>
			
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="input">
					<textarea name="comments" id="comments" rows="6"></textarea></td>
				<td class="status" id="comments.status"></td>
				<td class="help">
					<span id="comments.message" class="message"></span>
					Comments about the sequencing.
				</td>
			</tr>
			
			</table>
		</div>
	</div>
		
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>