<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.WellCoordinateFormatter"
	import="java.util.regex.Pattern"
	import="java.util.regex.Matcher"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="m" uri="/WEB-INF/menu.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%@ taglib prefix="tbl" uri="/WEB-INF/table.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	String defaultPrefix = sc.getUserClientSetting("reggie.rna.last-import-prefix");
	if (defaultPrefix == null)
	{
		// Generate a default prefix by using first letters from the logged in user's name
		defaultPrefix = "";
		Pattern p = Pattern.compile("\\b\\w");
		Matcher m = p.matcher(user.getName());
		while (m.find()) defaultPrefix += m.group();
		if (defaultPrefix.length() < 2)
		{
			// If the prefix is too whort we take the first two letters
			defaultPrefix = user.getName().substring(0, 2);
		}
		defaultPrefix = defaultPrefix.toUpperCase() + "_";
	}
%>
<base:page type="default">
<base:head 
	scripts="~../reggie-2.js,~import-external-rna.js,~plate.js" 
	styles="path.css,toolbar.css,~../css/reggie-2.css,~../css/plate.css"
	>
<style>

/* Empty wells should have greyed, italic text */
.well.empty
{
	text-align: center;
	vertical-align: middle;
	font-style: italic;
	color: #999999;
}

/* Wells with an existing aliquot */
.well.existing
{
	font-style: italic;
	color: #999999;
}


.well .missing
{
	font-style: italic;
}

.comment
{
	font-style: italic;
}

#plateSummary
{
	margin: 0.5em;
	border-width: 1px;
}
#plateSummary b
{
	display: inline-block;
	background: #F0F0F0;
	padding: 0.3em 0.6em;
	margin-right: 0.25em;
}
#plateSummary span
{
	margin-right: 1em;
}
#plateSummary div + div
{
	border-top-width: 1px;
	border-top-style: dotted;
}
#importPossible
{
	font-weight: bold;
}
#importPossible img
{
	margin-right: 0.25em;
}

.volumes
{
	overflow: auto;
}

.quantity
{
	float: left;
	color: #0000C8;
}

.volume
{
	float: right;
	color: #C80000;
}

</style>
</base:head>
<base:body>
	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Import external RNA" 
		/></p:path>
	
	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">File</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Prefix</td>
				<td class="input">
					<input type="text" name="prefix" id="prefix" value="<%=HTML.encodeTags(defaultPrefix)%>"
						class="required auto-init" data-auto-init="focus" data-next-focus="importfile"
						style="width: 12em;" maxlength="12">
				</td>
				<td class="status" id="prefix.status"></td>
				<td class="help">
					<span id="prefix.message" class="message"></span>
					All aliquots that are imported must have a prefix. The prefix should be
					at least 2 letters followed by an underscore.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Select file</td>
				<td class="input">
					<table style="width: 100%;">
					<tr>
					<td>
						<input class="text required" type="text" name="importfile" id="importfile" 
							data-name-filter="%.csv|%.xlsx"
							data-directory="/home/SCANB/MIPsImportFiles"
						>
					</td>
					<td style="padding-left: 4px; width: 7em;">
						<base:button 
							title="Browse&hellip;"
							id="importfile.btn"
						/>
					</td>
					</tr>
					</table>
				</td>
				<td class="status" id="importfile.status"></td>
				<td class="help" rowspan="2">
					<span id="importfile.message" class="message"></span>
					Select the <b>CSV</b> or <b>Excel</b> file that contains information about DNA aliquots.
					The following columns are required: <b>Name</b>, <b>Plate</b>, <b>Row</b>,
					and <b>Column</b>. 
					Optional columns are: <b>Quantity</b>, <b>NDConc</b>, <b>ND260by230</b>, <b>ND260by280</b>,
					<b>RIN</b>, <b>RQS</b> and <b>Comment</b>. All other columns are ignored.
					More information <base:help helpid="net.sf.basedb.reggie.rna-import-file" />
					<div id="worksheetSection.help" style="display:none;">
						Note that it is only possible to import from one worksheet at a time.
					</div>
				</td>
			</tr>
			<tr id="worksheetSection" style="display: none;">
				<td class="subprompt">- worksheet</td>
				<td class="input">
					<select name="sheet" id="sheet" class="required" style="width: auto; min-width: 10em;"></select>
				</td>
				<td class="status" id="sheet.status"></td>
			</tr>
			</table>
			
			<div id="platePreview" class="topborder" style="display: none;">
			<table style="margin: 0.5em auto 0 auto;"><tr><td>
				<div id="plateSummary">
					<div>
						<b style="width: 12em;">Summary of file</b><span id="filename"></span>
						<b>Plates</b><span id="numPlates"></span>
						<b>Aliquots</b><span id="numAliquots"></span>
						<b>Errors</b><span id="numErrors"></span>
						<b>Warnings</b><span id="numWarnings"></span>
					</div>
					<div>
						<b style="width: 12em;">Preview of plate</b>
						<span><select name="plateNames" id="plateNames" style="min-width: 15em;"></select></span>
						<span id="importPossible"></span>
					</div>
				</div>
				<table id="plate" class="plate">
				<%
				int columns = 9;
				int rows = 9;
				WellCoordinateFormatter rowF = new WellCoordinateFormatter(true);
				WellCoordinateFormatter colF = new WellCoordinateFormatter(false);
				%>
				<tr class="header">
					<th></th>
					<%
					for (int c = 0; c < columns; ++c)
					{
						%>
						<th class="link auto-init" id="col.<%=c%>"
							data-auto-init="plate-col" data-col="<%=c%>"
							title="Select/deselect all wells in this column"><%=colF.format(c)%></th>
						<%
					}
					%>
				</tr>
				<tbody>
				<%
				for (int r = 0; r < rows; ++r)
				{
					String row = rowF.format(r);
					%>
					<tr class="row-<%=r%>">
						<th class="link auto-init" id="row.<%=r%>"
							data-auto-init="plate-row" data-row="<%=r%>"
							title="Select/deselect all wells in this row"><%=row%></th>
						<%
						for (int c = 0; c < columns; ++c)
						{
							%>
							<td id="well.<%=r%>.<%=c%>" class="well empty auto-init"
								data-auto-init="plate-well" data-col="<%=c%>" data-row="<%=r%>"
								title="Select/deselect this well">empty</td>
							<%
						}
						%>
					</tr>
					<%
				}
				%>
				</tbody>
				<tr id="pool-row" style="display: none;">
					<th colspan=<%=columns+1 %>>&nbsp;</th>
				</tr>
				</table>
				<div style="margin: 0.5em; text-align: center;">
					<base:icon image="<%=home+"/images/error.png"%>" style="padding-left: 1em;" />=Error that prevent plate import
					<base:icon image="<%=home+"/images/warning.png"%>" style="padding-left: 1em;" />=Warning but plate can be imported
				</div>
			</td></tr></table>
			</div>
	
			
		</div>
	</div>

	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	</div>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>